Bug 220195 - selinux prevents mkinitrd from running properly
selinux prevents mkinitrd from running properly
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-12-19 11:40 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.6-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-24 13:09:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-12-19 11:40:48 EST
Description of problem:

Ran "ssh hawk yum -y upgrade" to upgrade hawk.  This installed a new kernel. 
The initrd for this kernel was broken (didn't load scsi driver it needed to boot).

avcs: (duplicates eliminated)

Dec 19 09:12:44 hawk kernel: audit(1166544764.454:5656): avc:  denied  { read
write } for  pid=28625 comm="depmod" name="[6103353]" dev=sockfs ino=6103353
tcontext=root:system_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
Dec 19 09:12:45 hawk kernel: audit(1166544765.374:5658): avc:  denied  { read
write } for  pid=28626 comm="mkinitrd" name="[6103353]" dev=sockfs ino=6103353
tcontext=root:system_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket
Dec 19 09:12:56 hawk kernel: audit(1166544776.327:5660): avc:  denied  {
setfscreate } for  pid=29270 comm="cp"
tcontext=root:system_r:bootloader_t:s0-s0:c0.c1023 tclass=process

Version-Release number of selected component (if applicable):

Ran mkinitrd by hand in ssh login session and that worked.
Comment 1 Daniel Walsh 2006-12-19 14:02:17 EST
Fixed in selinux-policy-2.4.6-13
Comment 2 Orion Poplawski 2007-01-24 13:09:26 EST
Confirmed fixed.

Note You need to log in before you can comment on or make changes to this bug.